use crate::admin::domain::*;
use crate::admin::state::AdminRegistry;
use async_trait::async_trait;
use log::{debug, warn};
use serde_json::{json, Value};

struct Repository {}

impl Repository {}

#[async_trait]
impl AdminRepository for Repository {
    async fn info(&self, _: &RepositoryContext) -> RepositoryInfo {
        RepoInfo {
            name: "My Empty Repository",
            lookup_key: "id",
            display_list: &["id"],
            fields: &[],
        }
        .into()
    }

    async fn get(&self, model: &RepositoryContext, id: LookupKey) -> Option<RepositoryItem> {
        None
    }

    async fn list(&self, model: &RepositoryContext) -> RepositoryList {
        RepositoryList::Empty
    }

    async fn create(
        &mut self,
        model: &RepositoryContext,
        mut data: Value,
    ) -> Option<RepositoryItem> {
        None
    }

    async fn update(
        &mut self,
        model: &RepositoryContext,
        id: LookupKey,
        data: Value,
    ) -> Option<RepositoryItem> {
        None
    }

    async fn delete(&mut self, _: &RepositoryContext, id: LookupKey) -> Option<Value> {
        None
    }
}
